﻿@model ArmatureProject.Models.OrderListModelSearch

@{
    ViewBag.Title = "Index";
}

<div class="col-lg-12">
    <div class="col-xs-4">
        <h2>Index</h2>
    </div>
    <div class="col-xs-8" style="text-align: end">
        <Br />
        ნაჩვენები ორდერების რაოდენობა - @Model.OrderListModel.Count.ToString()
        <Br />
        არმატურების რაოდენობის ჯამი - @Model.OrderListModel.Sum(x => x.ArmatureAmount).ToString()
    </div>
</div>



@using (Html.BeginForm("Index", "Order", FormMethod.Get, new { enctype = "multipart/form-data", @name = "orderIndex", @id = "orderIndex" }))
{
    <div class="col-lg-12">
        <div class="col-xs-4">
            <dl class="dl-horizontal">
                <dt>
                    @Html.DisplayName("მძღოლი:")
                </dt>
                <dd>
                    <select id="DriverSearch" name="driverId" class="form-control">
                        @foreach (var item in Model.DriverList.OrderBy(x => x.Id))
                {
                            <option value="@item.Id">@item.FirstName @item.LastName</option>
                        }
                    </select>
                </dd>
            </dl>
        </div>
        <div class="col-xs-4">
            <dl class="dl-horizontal">
                <dt>
                    @Html.DisplayName("კომპანია:")
                </dt>

                <dd>
                    <select id="CompanySearch" name="companyId" class="form-control">
                        @foreach (var item in Model.CompanyList.OrderBy(x => x.Id))
                {
                            <option value="@item.Id">@item.Title</option>
                        }
                    </select>

                </dd>
            </dl>
        </div>
        <div class="col-xs-4">
            <dl class="dl-horizontal">
                <dt>
                    @Html.DisplayName("გაგზავნილი/გასაგზავნი:")
                </dt>

                <dd>
                    <select id="SendSearch" name="isSend" class="form-control">
                        <option value="0">unknown</option>
                        <option value="1">გასაგზავნი</option>
                        <option value="2">გაგზავნილი</option>
                    </select>

                </dd>
            </dl>
        </div>
    </div>
    <div class="col-lg-12">
        <div class="col-xs-4">
            <dl class="dl-horizontal">
                <dt>
                    @Html.DisplayName("თარიღიდან:")
                </dt>
                <dd>
                    <input type="date" class="form-control text-box single-line" id="DateSearch" name="createDate" placeholder="შექმნის თარიღი" />
                </dd>
            </dl>
        </div>
        <div class="col-xs-4">
            <dl class="dl-horizontal">
                <dt>
                    @Html.DisplayName("თარიღამდე:")
                </dt>
                <dd>
                    <input type="date" class="form-control text-box single-line" id="DateSearch1" name="endDate" placeholder="შექმნის თარიღი" />
                </dd>
            </dl>
        </div>

        <div class="col-xs-4" style="text-align: center">
            <input type="button" value="თარიღით ძებნა" id="DateClickSearch" />
        </div>
    </div>
}


<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.OrderListModel.First().OrderId)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.OrderListModel.First().CompanyName)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.OrderListModel.First().DriverNameList)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.OrderListModel.First().CreateDate)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.OrderListModel.First().SentId)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.OrderListModel.First().ArmatureAmount)
        </th>
        <th></th>
    </tr>

    @foreach (var item in Model.OrderListModel)
            {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.OrderId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CompanyName)
            </td>
            <td>
                @foreach (var driverItem in item.DriverNameList)
                {
                    @Html.DisplayFor(modelItem => driverItem)
                    <br/>
                }
            </td>
            <td>
                @Html.DisplayName(item.CreateDate.ToString("dd-MM-yyyy"))
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.SentId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ArmatureAmount)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new { id = item.OrderId }) |
                @Html.ActionLink("Details", "Details", new { id = item.OrderId }) |
                @*@Html.ActionLink("Delete", "Delete", new { /* id=item.PrimaryKey */ })*@
                @Html.ActionLink("Delete", "Delete", new { id = item.OrderId },
                          new { onclick = "return confirm('გსურთ წაშალოთ ორდერი?');" })
            </td>
        </tr>
    }

</table>
